--[[
	Child of State class.
]]

include("../state.lua");

HealState = class(State);

function HealState:constructor()
	self.name = "Heal";
	self.lasttime = os.time(); -- We're going to just fake loot with time.
	self.prevtime = 0
	self.first = nil
end

function HealState:update()
	if self.first ~= nil then 
		print("back at Healing") 
		self:constructor()	-- easy reset
	end
	updatehp()
	if 70 > playerhp/playermaxhp*100 then
		yrest(2000)
		print("Using heal skill.")
	else
		print("healed up so popping heal state.")
		stateman:popState();
	end
end

-- Handle events
function HealState:handleEvent(event)
	if event == "Combat"  then
		printf("Ignoring combat event, healing.\n");
		return true;
	end
end
table.insert(events,{name = "Heal", func = HealState()})