--[[
	Child of State class.
]]

include("../state.lua");

KillState = class(State);

function KillState:constructor()
	self.name = "Kill";
	self.lasttime = os.time(); -- We're going to just fake Kill with time.
	self.prevtime = 0
	self.first = nil
end

function KillState:update()
	if self.first ~= nil then 
		print("back at Killing") 
		self:constructor()	-- easy reset
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then print("Kill timer: "..timepassed) self.prevtime = self.prevtime + 1 end
	if timepassed > 3  then
		-- End Kill.
		self.first = true
		stateman:popState();			
	end
end
table.insert(events,{name = "Kill", func = KillState()})