include("classes/statemanager.lua")
local subdir = getDirectory(getExecutionPath() .. "/classes/states/")
for i,v in pairs(subdir) do
	include("classes/states/"..v)
end
include("romcode.lua")
local version = "lisa V 8, for RoM"
local lastKS = keyboardState();
local function handleInput()
	local function pressed(vk)
		if( ks[vk] and not lastKS[vk] ) then
			return true;
		else
			return false;
		end
	end
	ks = keyboardState();

	if( pressed(key.VK_F1) ) then
		stateman:pushEvent("Quit");
	end

	if( pressed(key.VK_F2) ) then
		print("Keypressed F2")
		stateman:pushEvent("Combat");
	end
	if( pressed(key.VK_F3) ) then
		print("Keypressed F3")	
		stateman:pushEvent("Travel");
	end
	if( pressed(key.VK_F4) ) then
		print("Keypressed F4")	
		stateman:pushEvent("Npc");
	end	
	if( pressed(key.VK_F5) ) then
		print("Keypressed F5")	
		stateman:pushEvent("Vendor");
	end
	lastKS = ks;
end

function update()
	updatehp()
	if 70 > playerhp/playermaxhp*100 then
		stateman:pushEvent("Heal");
	end
	if playercombat then
		stateman:pushEvent("Combat");
	end
end

function main()
	stateman = StateManager();
	stateman:pushState(WaypointState());
	print("Version: "..version)
	print("Current state: ", stateman:getState().name);

	while(stateman.running) do
		update()
		handleInput();
		stateman:handleEvents();
		stateman:run();
		yrest(1);
	end
end
startMacro(main, true);